> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Switch active Console org

> Persist a new active Console account/org selection for the current local Cognitio state.



## OpenAPI

````yaml /openapi.json post /experimental/console/switch
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /experimental/console/switch:
    post:
      summary: Switch active Console org
      description: >-
        Persist a new active Console account/org selection for the current local
        Cognitio state.
      operationId: experimental.console.switchOrg
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                accountID:
                  type: string
                orgID:
                  type: string
              required:
                - accountID
                - orgID
      responses:
        '200':
          description: Switch success
          content:
            application/json:
              schema:
                type: boolean
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.experimental.console.switchOrg({
              ...
            })

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.